<?php
/*************************************************************************
    tickets.php
    
    Handles all tickets related actions.
 
    Peter Rotich <peter@osticket.com>
    Copyright (c)  2006,2007,2008 osTicket
    http://www.osticket.com

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
    $Id: $
**********************************************************************/

require('staff.inc.php');
require_once(INCLUDE_DIR.'class.ticket.php');
require_once(INCLUDE_DIR.'class.dept.php');
require_once(INCLUDE_DIR.'class.banlist.php');

$page = 'clients.inc.php'; 
if($_POST) {
	$firstname = $_POST['firstname']; 
	$lastname = $_POST['lastname']; 
	$email = $_POST['email']; 
	$phone = (string)$_POST['phone']; 
	$phone_ext = $_POST['phone_ext']; 
	$mobile = $_POST['mobile']; 
	$company = $_POST['company']; 
	$client_id = $_POST['client_id']; 
	$delete = $_POST['uids'];                 
	if(!$_POST['firstname']) $errors['firstname'] = "First name required. "; 
	if(!$_POST['lastname']) $errors['lastname'] = " Last name required. "; 
	$phone_length = strlen((string)$phone); 
	$tmp = "("; 
	for($j=0; $j<$phone_length; $j++) { 
		if(ctype_digit($phone[$j])) $tmp .= $phone[$j]; 
	} 
	if((int)strlen($tmp)>11||(int)strlen($tmp)<(int)11) $errors['phone'] = "Phone# (xxx)xxx-xxxx "; 
	else for($k=0; $k<11; $k++) { 
		if($k==4) $phone .= ")"; 
		if($k==7) $phone .= "-"; 
		if($k==0) $phone = $tmp[$k]; 
		else $phone .= $tmp[$k]; 
	} 
	if($mobile) { 
		$mobile_length = strlen((string)$mobile); 
		$tmp = "("; 
		for($j=0; $j<$mobile_length; $j++) { 
			if(ctype_digit($mobile[$j])) $tmp .= $mobile[$j]; 
		} 
		for($k=0; $k<11; $k++) { 
			if($k==4) $mobile .= ")"; 
			if($k==7) $mobile .= "-"; 
			if($k==0) $mobile = $tmp[$k]; 
			else $mobile .= $tmp[$k]; 
		} 
	} 
	if($_POST['a']=="update" && !$errors) { 
		$query = "UPDATE ".CLIENT_TABLE." SET firstname = '$firstname', lastname = '$lastname', email = '$email', phone = '$phone', phone_ext = '$phone_ext', mobile = '$mobile', company = '$company' WHERE client_id = '$client_id'"; 
		if(mysql_query($query)) $msg = 'Client Updated';  
		else {
			$msg = "Client update failed."; 
			$page = 'client.inc.php';
		}
		 
	} 
	if($_POST['a']=="new" && !$errors) { 
		$query = "INSERT INTO ".CLIENT_TABLE." (firstname, lastname, email, phone, phone_ext, mobile, company) VALUES ('$firstname', '$lastname', '$email', '$phone', '$phone_ext', '$mobile', '$company')"; 
		if(mysql_query($query)) $msg = 'Client Created'; 
		else {
			$msg = "Client creation failed."; 
			$page = 'client.inc.php';
		}
	} 
	if($_POST['do']=="delete") { 
		$delete_count = count($delete); 
		for($i=0; $i<$delete_count; $i++) { 
			$client_id = $delete[$i]; 
			$query = "DELETE FROM ".CLIENT_TABLE." WHERE '$client_id' LIKE client_id"; 
			if(mysql_query($query)) $msg = 'Client Deleted'; 
			else {
				$msg = "Client deletion failed."; 
				$page = 'client.inc.php';
			}
		} 
	} 
}

$nav->setTabActive('clients');    $nav->addSubMenu(array('desc'=>'Clients','href'=>'admin.php?t=clients','iconclass'=>'departments')); 
$nav->addSubMenu(array('desc'=>'Add New Client','href'=>'clients.php?t=clients&a=new','iconclass'=>'newDepartment')); 

if($_GET['a']=="update" || $_GET['a']=="new") $page='client.inc.php'; 
if(!$_GET['a']&&!$_POST['a']&&!$page) $page='clients.inc.php'; 
     
//Render the page...
$inc=$page?$page:'clients.inc.php';
require_once(STAFFINC_DIR.'header.inc.php');
require_once(STAFFINC_DIR.$inc);
require_once(STAFFINC_DIR.'footer.inc.php');